> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesendly.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Inbound Emails

> Get received emails on your verified domains

## Description

Retrieve a paginated list of inbound emails received on your verified domains.

## Query parameters

<ParamField query="limit" type="number">
  Results per page. Default: 20. Maximum: 100.
</ParamField>

<ParamField query="page" type="number">
  Page number. Default: 1.
</ParamField>

<ParamField query="search" type="string">
  Search by sender, recipient, or subject.
</ParamField>

<ParamField query="start_date" type="string">
  Filter emails received on or after this date.
</ParamField>

<ParamField query="end_date" type="string">
  Filter emails received on or before this date.
</ParamField>

<ParamField query="sort_by" type="string" enum="['from_email', 'received_at']">
  Sort field. Default: `received_at`.
</ParamField>

<ParamField query="sort_order" type="string" enum="['asc', 'desc']">
  Sort order. Default: `desc`.
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of inbound email records.
</ResponseField>

<ResponseField name="pagination" type="object">
  Pagination metadata.
</ResponseField>

### Inbound Email

<ResponseField name="id" type="string">
  Unique inbound email ID.
</ResponseField>

<ResponseField name="from_email" type="string">
  Sender email address.
</ResponseField>

<ResponseField name="from_name" type="string | null">
  Sender name, if available.
</ResponseField>

<ResponseField name="to_address" type="string">
  Recipient address on your domain.
</ResponseField>

<ResponseField name="subject" type="string">
  Email subject.
</ResponseField>

<ResponseField name="reply_to" type="string | null">
  Reply-to address.
</ResponseField>

<ResponseField name="cc" type="string[] | null">
  CC recipients.
</ResponseField>

<ResponseField name="bcc" type="string[] | null">
  BCC recipients.
</ResponseField>

<ResponseField name="received_at" type="string">
  ISO 8601 timestamp when the email was received.
</ResponseField>

<ResponseField name="attachments" type="array">
  Email attachments.
</ResponseField>

## Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.usesendly.app/v1/emails/inbound?limit=25&page=1" \
    -H "Authorization: Bearer se_your_api_key"
  ```

  ```javascript SDK theme={null}
  const response = await client.emails.inbound.list({
    limit: 25,
    page: 1,
    sort_by: 'received_at',
    sort_order: 'desc'
  })

  response.data.forEach(email => {
    console.log(`From: ${email.from_name || email.from_email}`)
    console.log(`Subject: ${email.subject}`)
  })
  ```
</CodeGroup>

***

Need help? Contact [support@usesendly.app](mailto:support@usesendly.app)
